import React from 'react';
import PropTypes from 'prop-types';
export interface BadgeProps {
    /**
     * Badge look
     */
    look: 'primary' | 'hero' | 'neutral' | 'faint' | 'success' | 'info' | 'warning' | 'danger';
    /**
     * Badge text
     */
    value: string;
    /**
     * Badge type
     */
    type?: 'default' | 'pill';
    /**
     * The override API
     */
    overrides?: {
        Badge?: {
            styles?: (...args: unknown[]) => unknown;
            component?: React.ElementType;
            attributes?: (...args: unknown[]) => unknown;
        };
    };
}
export declare const Badge: {
    ({ value, look, type, overrides: componentOverrides, ...rest }: BadgeProps): JSX.Element;
    propTypes: {
        /**
         * Badge look
         */
        look: PropTypes.Validator<string>;
        /**
         * The override API
         */
        overrides: PropTypes.Requireable<PropTypes.InferProps<{
            Badge: PropTypes.Requireable<PropTypes.InferProps<{
                attributes: PropTypes.Requireable<(...args: any[]) => any>;
                component: PropTypes.Requireable<PropTypes.ReactComponentLike>;
                styles: PropTypes.Requireable<(...args: any[]) => any>;
            }>>;
        }>>;
        /**
         * Badge type
         */
        type: PropTypes.Requireable<string>;
        /**
         * Badge text
         */
        value: PropTypes.Validator<string>;
    };
};
